Summary: Python bindings for Qt
Name: PyQt
Version: 0.10.1
Release: 1
Copyright: GPL
Group: Development/Languages
Source: http://www.river-bank.demon.co.uk/software/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildRequires: sip >= 0.9
URL: http://www.river-bank.demon.co.uk/software

%description
These are Python bindings for Qt.

%package devel
Summary: Files needed to build other bindings based on Qt
Requires: %{name} = %{version}
Group: Development/Languages

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt classes (e.g. KDE or your own).

%package examples
Summary: Examples for PyQt
Requires: %{name} = %{version}
Group: Development/Languages

%description examples
Examples code demonstrating how to use the Python bindings for Qt.

%prep
%setup -q -n %{name}-%{version}

%build
export QTDIR=/usr/lib/qt-1.45
export KDEDIR=/usr
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install install-sip install-doc

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%doc README CHANGES PyQt/THANKS 
/usr/lib/python1.5/*.py*
/usr/lib/python1.5/lib-dynload/*.so
/usr/lib/python1.5/lib-dynload/*.la

%files devel
/usr/share/sip/qt

%files examples
%doc examples/README examples/*.py

%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL
- -devel and -examples require base package

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
